package com.zanxiang.game.back.serve.pojo;

import com.zanxiang.game.back.serve.pojo.vo.GameBackPolicyVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 按挡位拆分
 */
@Data
public class BackPolicyOfSplitLevel {

    @ApiModelProperty("充值注册最大间隔时间（超时不回传）")
    private Long regPayIntervalTime;

    @ApiModelProperty("充值挡位")
    private List<RechargeLevel> rechargeLevelList;

    @ApiModelProperty("单用户最大回传订单数")
    private Integer backCountOfUser;

    @ApiModelProperty("降档策略")
    private List<GameBackPolicyVO.PolicyDownLevel> downLevel;

    @ApiModelProperty("拆单策略")
    private List<GameBackPolicyVO.SplitStrategy> splitStrategy;

    @ApiModelProperty("激活回传开关")
    private Boolean activeBackSwitch;

    @ApiModelProperty("最小回传等级")
    private Long roleLevelMin;


    @Data
    public static class RechargeLevel {

        @ApiModelProperty("最小金额")
        private BigDecimal minAmount;

        @ApiModelProperty("最大金额")
        private BigDecimal maxAmount;

        @ApiModelProperty("回传类型（1：概率、2：比例）")
        private Integer backType;

        @ApiModelProperty("回传值（100% | 1:2）")
        private String backRate;
    }
}
